{
  "format_version": "1.8.0",
  "animations": {
    "animation.mobs_hummingbird.base": {
      "loop": true
    },
    "animation.mobs_hummingbird.fly": {
      "loop": true,
      "animation_length": 0.5,
      "bones": {
        "body": {
          "position": [
            0,
            "Math.cos((query.anim_time - 0.3) * 1440) * -0.25",
            0
          ]
        },
        "tail": {
          "rotation": [
            "0 + Math.cos((query.anim_time - 0.5) * 1440) * 4",
            0,
            0
          ]
        },
        "left_leg": {
          "rotation": [
            "22.5 + Math.cos((query.anim_time - 0.4) * 1440) * -10",
            0,
            0
          ]
        },
        "right_wing": {
          "rotation": [
            0,
            "Math.cos((query.anim_time - 0.2) * 1440) * 30",
            "-293.5 + Math.cos((query.anim_time - 0.5) * 1440) * 64"
          ]
        },
        "left_wing": {
          "rotation": [
            0,
            "Math.cos((query.anim_time - 0.2) * 1440) * -30",
            "293.5 + Math.cos((query.anim_time - 0.5) * 1440) * -64"
          ]
        },
        "right_leg": {
          "rotation": [
            "22.5 + Math.cos((query.anim_time - 0.35) * 1440) * -10",
            0,
            0
          ]
        }
      }
    },
    "animation.mobs_hummingbird.sit": {
      "loop": true,
      "bones": {
        "body": {
          "position": [
            0,
            -1,
            0
          ]
        }
      }
    },
    "animation.mobs_hummingbird.move": {
      "loop": true
    },
    "animation.mobs_hummingbird.dunse": {
      "loop": true
    },
    "animation.mobs_hummingbird.stand": {
      "loop": true
    },
    "animation.mobs_hummingbird.loock_at_targer": {
      "loop": true
    }
  }
}